## org.eclipse.wst.wsdl.binding.http
Interface HTTPAddress

All Superinterfaces:
  javax.wsdl.extensions.ExtensibilityElement, javax.wsdl.extensions.http.HTTPAddress, java.io.Serializable, WSDLElement

    public interface HTTPAddress

extends ExtensibilityElement, javax.wsdl.extensions.http.HTTPAddress

A representation of the model object 'Address'.

The following features are supported:

- `Location URI`

See Also:
  `HTTPPackage.getHTTPAddress()`

Method Summary
`java.lang.String` `getLocationURI()` Returns the value of the 'Location URI' attribute
`void` `setLocationURI(java.lang.String value)` Sets the value of the '`Location URI`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibilityElement
`getElementType, isRequired, setElementType, setRequired`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Method Detail

### getLocationURI

    java.lang.String getLocationURI()

  Returns the value of the 'Location URI' attribute.

  If the meaning of the 'Location URI' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getLocationURI` in interface `javax.wsdl.extensions.http.HTTPAddress`
  Returns:
    the value of the 'Location URI' attribute.
  See Also:
    `setLocationURI(String)`, `HTTPPackage.getHTTPAddress_LocationURI()`

### setLocationURI

    void setLocationURI(java.lang.String value)

  Sets the value of the '`Location URI`' attribute.

  Specified by:
    `setLocationURI` in interface `javax.wsdl.extensions.http.HTTPAddress`
  Parameters:
    `value` - the new value of the 'Location URI' attribute.
  See Also:
    `getLocationURI()`